class NagiosHarder
  COMMANDS = {
    :none => 0,
    :add_host_comment => 1,
    :del_host_comment => 2,
    :add_service_comment => 3,
    :del_service_comment => 4,
    :enable_service_check => 5,
    :disable_service_check => 6,
    :schedule_service_check => 7,
    :delay_service_notification => 9,
    :delay_host_notification => 10,
    :disable_notifications => 11,
    :enable_notifications => 12,
    :restart_process => 13,
    :shutdown_process => 14,
    :enable_host_service_checks => 15,
    :disable_host_service_checks => 16,
    :schedule_host_service_checks => 17,
    :delay_host_service_notifications => 19,
    :del_all_host_comments => 20,
    :del_all_service_comments => 21,
    :enable_service_notifications => 22,
    :disable_service_notifications => 23,
    :enable_host_notifications => 24,
    :disable_host_notifications => 25,
    :enable_all_notifications_beyond_host => 26,
    :disable_all_notifications_beyond_host => 27,
    :enable_host_service_notifications => 28,
    :disable_host_service_notifications => 29,
    :process_service_check_result => 30,
    :save_state_information => 31,
    :read_state_information => 32,
    :acknowledge_host_problem => 33,
    :acknowledge_service_problem => 34,
    :start_executing_service_checks => 35,
    :stop_executing_service_checks => 36,
    :start_accepting_passive_service_checks => 37,
    :stop_accepting_passive_service_checks => 38,
    :enable_passive_service_checks => 39,
    :disable_passive_service_checks => 40,
    :enable_event_handlers => 41,
    :disable_event_handlers => 42,
    :enable_host_event_handler => 43,
    :disable_host_event_handler => 44,
    :enable_service_event_handler => 45,
    :disable_service_event_handler => 46,
    :enable_host_check => 47,
    :disable_host_check => 48,
    :start_obsessing_over_service_checks => 49,
    :stop_obsessing_over_service_checks => 50,
    :remove_host_acknowledgement => 51,
    :remove_service_acknowledgement => 52,
    :schedule_forced_host_service_checks => 53,
    :schedule_forced_service_check => 54,
    :schedule_host_downtime => 55,
    :schedule_service_downtime => 56,
    :enable_host_flap_detection => 57,
    :disable_host_flap_detection => 58,
    :enable_service_flap_detection => 59,
    :disable_service_flap_detection => 60,
    :enable_flap_detection => 61,
    :disable_flap_detection => 62,
    :enable_hostgroup_service_notifications => 63,
    :disable_hostgroup_service_notifications => 64,
    :enable_hostgroup_host_notifications => 65,
    :disable_hostgroup_host_notifications => 66,
    :enable_hostgroup_service_checks => 67,
    :disable_hostgroup_service_checks => 68,
    :unimplemented_69 => 69,
    :unimplemented_70 => 70,
    :unimplemented_71 => 71,
    :unimplemented_72 => 72,
    :unimplemented_73 => 73,
    :unimplemented_74 => 74,
    :unimplemented_75 => 75,
    :unimplemented_76 => 76,
    :unimplemented_77 => 77,
    :del_host_downtime => 78,
    :del_service_downtime => 79,
    :enable_performance_data => 82,
    :disable_performance_data => 83,
    :schedule_hostgroup_host_downtime => 84,
    :schedule_hostgroup_service_downtime => 85,
    :schedule_host_service_downtime => 86,
    :process_host_check_result => 87,
    :start_executing_host_checks => 88,
    :stop_executing_host_checks => 89,
    :start_accepting_passive_host_checks => 90,
    :stop_accepting_passive_host_checks => 91,
    :enable_passive_host_checks => 92,
    :disable_passive_host_checks => 93,
    :start_obsessing_over_host_checks => 94,
    :stop_obsessing_over_host_checks => 95,
    :schedule_host_check => 96,
    :schedule_forced_host_check => 98,
    :start_obsessing_over_svc => 99,
    :stop_obsessing_over_svc => 100,
    :start_obsessing_over_host => 101,
    :stop_obsessing_over_host => 102,
    :enable_hostgroup_host_checks => 103,
    :disable_hostgroup_host_checks => 104,
    :enable_hostgroup_passive_service_checks => 105,
    :disable_hostgroup_passive_service_checks => 106,
    :enable_hostgroup_passive_host_checks => 107,
    :disable_hostgroup_passive_host_checks => 108,
    :enable_servicegroup_service_notifications => 109,
    :disable_servicegroup_service_notifications => 110,
    :enable_servicegroup_host_notifications => 111,
    :disable_servicegroup_host_notifications => 112,
    :enable_servicegroup_service_checks => 113,
    :disable_servicegroup_service_checks => 114,
    :enable_servicegroup_host_checks => 115,
    :disable_servicegroup_host_checks => 116,
    :enable_servicegroup_passive_service_checks => 117,
    :disable_servicegroup_passive_service_checks => 118,
    :enable_servicegroup_passive_host_checks => 119,
    :disable_servicegroup_passive_host_checks => 120,
    :schedule_servicegroup_host_downtime => 121,
    :schedule_servicegroup_service_downtime => 122,
    :change_global_host_event_handler => 123,
    :change_global_service_event_handler => 124,
    :change_host_event_handler => 125,
    :change_service_event_handler => 126,
    :change_host_check_command => 127,
    :change_service_check_command => 128,
    :change_normal_host_check_interval => 129,
    :change_normal_service_check_interval => 130,
    :change_retry_service_check_interval => 131,
    :change_max_host_check_attempts => 132,
    :change_max_service_check_attempts => 133,
    :schedule_and_propagate_triggered_host_downtime => 134,
    :enable_host_and_child_notifications => 135,
    :disable_host_and_child_notifications => 136,
    :schedule_and_propagate_host_downtime => 137,
    :enable_service_freshness_checks => 138,
    :disable_service_freshness_checks => 139,
    :enable_host_freshness_checks => 140,
    :disable_host_freshness_checks => 141,
    :set_host_notification_number => 142,
    :set_service_notification_number => 143,
    :change_host_check_timeperiod => 144,
    :change_service_check_timeperiod => 145,
    :process_file => 146,
    :change_custom_host_var => 147,
    :change_custom_service_var => 148,
    :change_custom_contact_var => 149,
    :enable_contact_host_notifications => 150,
    :disable_contact_host_notifications => 151,
    :enable_contact_service_notifications => 152,
    :disable_contact_service_notifications => 153,
    :enable_contactgroup_host_notifications => 154,
    :disable_contactgroup_host_notifications => 155,
    :enable_contactgroup_service_notifications => 156,
    :disable_contactgroup_service_notifications => 157,
    :change_retry_host_check_interval => 158,
    :send_custom_host_notification => 159,
    :send_custom_service_notification => 160,
    :change_host_notification_timeperiod => 161,
    :change_service_notification_timeperiod => 162,
    :change_contact_host_notification_timeperiod => 163,
    :change_contact_service_notification_timeperiod => 164,
    :change_host_modattr => 165,
    :change_service_modattr => 166,
    :change_contact_modattr => 167,
    :change_contact_modhattr => 168,
    :change_contact_modsattr => 169,
    :del_downtime_by_host_name => 170,
    :del_downtime_by_hostgroup_name => 171,
    :del_downtime_by_start_time_comment => 172,
    :custom_command => 999
  }.freeze unless defined? COMMANDS
end
